﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using RobotView;

namespace Test_LampView
{
    public partial class ConsoleView : UserControl
    {
        public ConsoleView()
        {
            InitializeComponent();
        }


        public void InitLampsAndSwitches(int count)
        {
            for (int i = 0; i < count; i++)
            {
                Label lbl = new Label();
                lbl.Width = 20;
                lbl.Height = 20;
                lbl.ForeColor = Color.White;
                lbl.BackColor = Color.Black;
                lbl.Text = (i + 1).ToString();
                lbl.Location = new Point(lbl.Width * i, 0);
                this.Controls.Add(lbl);

                LampView lamp = new LampView();
                lamp.Location = new Point(lamp.Width * i, lbl.Height);
                this.Controls.Add(lamp);

                SwitchView swtch = new SwitchView(lamp);
                swtch.Location = new Point(swtch.Width * i, lbl.Height + lamp.Height);
                this.Controls.Add(swtch);

            }
        }
    }
}
