﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace RobotView
{
    public partial class LampView : UserControl
    {
        private bool state;
        public bool State {
            get
            {
                return this.state;
            }
            set
            {
                setValue(value);
            }
        }

        public LampView()
        {
            InitializeComponent();
            this.Width = Resource1.LAMP_OFF.Width;
            this.Height = Resource1.LAMP_OFF.Height;
            this.State = false;
        }

        private void setValue(bool state)
        {
            pictureBox.Image = (state) ? Resource1.LAMP_ON : Resource1.LAMP_OFF;
        }
    }
}
