﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace RobotView
{
    public partial class SwitchView : UserControl
    {
        private bool swtch;

        public bool Switch
        {
            get { return swtch; }
        }

        private LampView lamp;

        public SwitchView(LampView lamp)
        {
            InitializeComponent();
            this.lamp = lamp;

            this.Width = Resource1.SWITCH_OFF.Width;
            this.Height = Resource1.SWITCH_OFF.Height;

            this.pictureBox.Image = Resource1.SWITCH_OFF;
        }

        public bool SwitchValue()
        {
            
            pictureBox.Image = (swtch) ? Resource1.SWITCH_OFF : Resource1.SWITCH_ON;
            swtch = !swtch;
            lamp.State = swtch;
            return swtch;
        }

        private void pictureBox_Click(object sender, EventArgs e)
        {
            SwitchValue();
        }
    }
}
